#!/usr/bin/perl

use strict;
use warnings;
use DBI;
use FindBin;

my $directory = $FindBin::Bin;
my $dbh = DBI->connect("DBI:SQLite:dbname=$directory/perlfaq.db","","") or die $DBI::errstr;

my $create_faq = qq~  CREATE TABLE Faq(
      Faq_ID       INT          NOT NULL PRIMARY KEY,
      Frage        VARCHAR(255) NOT NULL,
      Antwort      TEXT         NOT NULL,
      Kategorie_ID INT          NOT NULL
  );~;
my $create_cat = qq~  CREATE TABLE Kategorie(
      Kategorie_ID   INT          NOT NULL PRIMARY KEY,
      Kategorie_Name VARCHAR(100) NOT NULL
  );~;
  
my $insert_cat = qq~INSERT INTO Kategorie VALUES(1,'Allgemeines')~;

my @fragen = ([1,'Mit welchem Framework ist das realisiert?','Catalyst',1],
              [2,'Wie hei&szlig;en die Datentypen in Perl?','Skalar, Array und Hash',1],
              [3,'Welche Perl-Zeitschriften gibt es?','"$foo - Perl-Magazin" und "The Perl Review"',1],);

for ($create_faq,$create_cat,$insert_cat){
    $dbh->do($_);
}

my $sth = $dbh->prepare(q~INSERT INTO Faq VALUES(?,?,?,?)~);
for my $frage ( @fragen ){
    $sth->execute( @$frage );
}